.PHONY: clean all lint

EXE = $(notdir $(shell pwd))

ifeq ($(GARBLE),y)
GO=garble -literals -tiny -debugdir=garbled
else
GO = go
endif

all:
	$(GO) build .

clean:
	$(RM) $(EXE) $(EXE).exe

lint:
	gometalinter --deadline 60s | sort
